###--- >>> `pkpd' <<<----- Pharmacokinetic models

##___ Examples ___:

times <- rep(1:20,2)
dose <- c(rep(2,20),rep(5,20))
# set up a mean function for gar:
mu <- function(p) mu1.1o1c(p, times=times, dose=dose)
conc <- matrix(rgamma(40,2,mu(log(c(1,0.3,0.2)))),ncol=20,byrow=T)
conc[,2:20] <- conc[,2:20]+0.5*(conc[,1:19]-matrix(mu(log(c(1,0.3,0.2))),
        ncol=20,byrow=T)[,1:19])
conc <- ifelse(conc>0,conc,0.01)
gar(conc, dist="gamma", times=1:20, mu=mu, preg=log(c(1,0.4,0.1)),
        pdepend=0.1, pshape=1)
# changing variance
shape <- function(p) mu1.1o1c(p, times=times, dose=dose)
gar(conc, dist="gamma", times=1:20, mu=mu, preg=log(c(0.5,0.4,0.1)),
        pdep=0.1, shape=shape, pshape=log(c(0.5,0.4,0.1)))



